# $Revision: 1.30 $, $Date: 2012/02/01 09:14:28 $
Summary:	The CLAPACK libraries for numerical linear algebra
Summary(pl.UTF-8):	Biblioteki numeryczne CLAPACK do algebry liniowej
Name:		clapack
Version:	3.2.1
Release:	2
License:	freely distributable
Group:		Development/Libraries
Source0:	http://www.netlib.org/clapack/%{name}-%{version}-CMAKE.tgz
# Source0-md5:	4fd18eb33f3ff8c5d65a7d43913d661b
Patch0:		%{name}-%{version}-fix_include_file.patch
Patch1:		%{name}-%{version}-noblasf2c.patch
Patch2:		%{name}-%{version}-hang.patch
Patch3:		%{name}-%{version}-findblas-r6.patch
URL:		http://www.netlib.org/clapack/
BuildRequires:	cmake
BuildRequires:	gcc-fortran
BuildRequires:	libf2c-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra. CLAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems. Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included. CLAPACK can handle dense and banded matrices, but
not general sparse matrices. Similar functionality is provided for
real and complex matrices in both single and double precision. CLAPACK
is coded in Fortran77 and translated to C using f2c.

%description -l pl.UTF-8
CLAPACK (Linear Algebra PACKage) jest standardową biblioteką
numeryczną do algebry liniowej. Dostarcza funkcje rozwiązywania:
układów równań liniowych, układów równań metodą najmniejszych
kwadratów, problemów własnych. Zawiera algorytmy faktoryzacji macierzy
(LU, Cholesky'ego, QR, SVD, Schura, uogólnioną Schura) i związanych z
tym obliczeń (np. przenumerowanie w faktoryzacji Schura i estymację
uwarunkowania). CLAPACK może obsługiwać macierze blokowe i pasmowe,
ale nie rzadkie w ogólnym przypadku. Zapewnia funkcjonalność dla
macierzy rzeczywistych i zespolonych, dla liczb pojedynczej i
podwójnej precyzji. CLAPACK jest napisany w Fortranie 77 i
przetłumaczony na C przy użyciu f2c.

%package devel
Summary:	CLAPACK header files
Summary(pl.UTF-8):	Pliki nagłówkowe CLAPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
CLAPACK header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe CLAPACK.

%package static
Summary:	Static CLAPACK libraries
Summary(pl.UTF-8):	Biblioteki statyczne CLAPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CLAPACK libraries.

%description static -l pl.UTF-8
Biblioteki statyczne CLAPACK.

%prep
%setup -q -n %{name}-%{version}-CMAKE
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
install -d build
cd build
%cmake \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_libdir}/libclapack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libclapack.so
%{_includedir}/clapack
%{_datadir}/cmake/Modules/clapack*.cmake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clapack.spec,v $
Revision 1.30  2012/02/01 09:14:28  lisu
- sorted BRs

Revision 1.29  2012/02/01 09:13:59  lisu
- f2c -> libf2c-devel
- rel 2

Revision 1.28  2012/01/31 20:54:25  lisu
- BR: f2c

Revision 1.27  2011/10/06 17:25:32  arekm
- up to 3.2.1 (patches from gentoo); cblas is gone

Revision 1.26  2011/02/06 16:50:36  sparky
- unified %clean section

Revision 1.25  2007/09/05 12:01:43  baggins
- rel 3

Revision 1.24  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.22  2004/10/18 09:32:24  qboosh
- strict internal deps, fixed typo

Revision 1.21  2004/10/18 09:27:22  jajcus
- cblas.h file added to cblas-devel (fixes bug #939)

Revision 1.20  2004/08/31 02:24:20  snurf
- typos

Revision 1.19  2004/08/12 10:23:30  roman
- corrected URL

Revision 1.18  2004/04/26 14:20:09  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.17  2003/08/06 16:47:09  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.16  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.15  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:46:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/12/30 09:55:47  qboosh
- cleanup, added *.la
- require fixed libtool instead of hacking *.la

Revision 1.12  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:12:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:05:37  arturs
fixed a small typo

Revision 1.8  2002/04/05 15:26:37  roman
s/Freely/freely in License

Revision 1.7  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/22 09:21:05  kloczek
- sort BuildRequires rules.

Revision 1.3  2001/12/19 08:14:58  qboosh
- rcs tags are back; fixed pl spelling
